commit:     de0b28564c2db91daa809201d66eeb4c05698173
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 29 12:02:40 2018 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu Mar 29 12:02:40 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de0b2856

app-crypt/cfssl: Version bump to 1.3.2

Package-Manager: Portage-2.3.26, Repoman-2.3.7

 app-crypt/cfssl/Manifest           |  1 +
 app-crypt/cfssl/cfssl-1.3.2.ebuild | 33 +++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/app-crypt/cfssl/Manifest b/app-crypt/cfssl/Manifest
index c70fe20d271..1ee12e7c64b 100644
--- a/app-crypt/cfssl/Manifest
+++ b/app-crypt/cfssl/Manifest
@@ -1,2 +1,3 @@
 DIST cfssl-1.3.0.tar.gz 4378109 BLAKE2B 
4bc77b3aa8b47e0e5a434ff50e99cde44b750743dc58c18736acfd0115f6cb03533c0d4ff6e54111cdfc2a8c7d6d83539d07de5fddb03eda8a8a95b8b573e767
 SHA512 
0db85e82e10982f0c0c03fcae20fbc1936018f7252517cbd9a6150ff5d8f41c5e4719814a8a64a424065e4813b7da073e4ebb50306e1d673f0de7706a0c0e2fd
 DIST cfssl-1.3.1.tar.gz 6865684 BLAKE2B 
e7ecf0f8e2f489e4e0bd9064523a90255bf2c85d0edd62f346f90aa27cd5c68bf80432fd77bb8fc64954b75c7add26b8f3230a43c3f82265632079ef699542c4
 SHA512 
1c33527d1d0c08cac39647e7c6237e655569c474a872b144b962af3e7c39c420d002e719875bbea1f5b502fa640483e63d9a7061bed7875c64565d3f6c15cf47
+DIST cfssl-1.3.2.tar.gz 6867118 BLAKE2B 
775b3419ecf878d9add13faf03a3e1d4cca7b30d965f1ca55c8faa5abf679188a1ea1f80c1416f19c85bc551395628a31da8669ca647e1c1e7a1a313d68f4c7b
 SHA512 
aba27a282c8ca8e95769996aea7e5300b0c3f8fea7ae26484d19a7e1a0330f0b3a0649407062f1a10e8c93136693954e3b24c92456f69db3abee509f982ba554

diff --git a/app-crypt/cfssl/cfssl-1.3.2.ebuild 
b/app-crypt/cfssl/cfssl-1.3.2.ebuild
new file mode 100644
index 00000000000..6b1f640b3ab
--- /dev/null
+++ b/app-crypt/cfssl/cfssl-1.3.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+EGO_PN="github.com/cloudflare/${PN}"
+inherit golang-build golang-vcs-snapshot
+
+SRC_URI="https://${EGO_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Cloudflare's PKI and TLS toolkit"
+HOMEPAGE="https://github.com/cloudflare/cfssl";
+LICENSE="BSD-2"
+SLOT="0"
+IUSE="hardened"
+
+RDEPEND="!!dev-lang/mono" #File collision (bug 614364)
+
+RESTRICT="test"
+
+src_compile() {
+       pushd src || die
+       CGO_LDFLAGS="$(usex hardened '-fno-PIC ' '')" GOPATH="${S}" go install 
-v github.com/cloudflare/cfssl/cmd/... || die
+       popd || die
+}
+
+src_install() {
+       dobin bin/*
+       pushd src/${EGO_PN} || die
+       dodoc CHANGELOG README.md
+       popd || die
+}

Reply via email to